commit a94438e6514ba63d7c7a5587100e676711335ec6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 12 07:37:07 2026 +0200

    Updates for release

commit 26a4904361658e0d1f7dbdcb4222b5774bfb8ec7
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jun 4 18:00:27 2026 -0700

    Add cargo support to xfce-do-release
    
    This adds support both for bumping Cargo.toml versions, and for building
    a release tarball and doing `cargo publish` for cargo-only builds.  The
    Cargo.toml version-bumping also works for hybrid meson+cargo setups.

commit 39fa0a0322a64651cf73857d912f9946b780a544
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jun 9 09:15:44 2026 +0200

    ci: Show only useful logs in case of cppcheck job failure

commit 2e0b8abb7ceee2b54da0fdf81dce01f48acc0cf2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jun 6 23:11:18 2026 +0200

    ci: Add --force to cppcheck command line
    
    "no reason to use this by default" says the man page, except in
    non-interactive mode.

commit 859b9380e59cdba5eadaab28dd04e832bbdd048d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jun 6 15:47:23 2026 +0200

    ci: Add --suppress=unmatchedSuppression to cppcheck command line
    
    We already check for this more accurately and it causes an exit code 1
    if some warnings we don't care about are not present in the command
    output.

commit d6c69f4670bad2e8bcdd52c4721b894b2cbc4842
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jun 6 11:39:58 2026 +0200

    ci: Remove parts of xfce.cfg depending on cppcheck guessed version
    
    To avoid conflicts between gtk.cfg and xfce.cfg for users, as some parts
    of xfce.cfg we need in CI with cppcheck 2.19.0 have been merged upstream
    and released now.

commit afe45146f4b1ec688c0e6ce52a778fdb635007b8
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jun 5 22:48:16 2026 -0700

    ci: add systemd-dev to build container
    
    This used to be installed through a transitive dependency on the
    previous ubuntu version, but needs to be explicitly installed on the new
    one.

commit a78337d7384be0c58aba4689627dc6982a5f294d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 5 23:14:37 2026 +0200

    ci: Add glib/gtk version check to cppcheck config file
    
    Related: https://github.com/cppcheck-opensource/cppcheck/commit/8c762adcdd9e63e89ddeeb90ccfee5a225ae8a77

commit ac8faaa4c5051690e871a7d8efd2f7c412b3fb4e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 5 14:54:05 2026 +0200

    ci: Add `-I .` to cppcheck command line
    
    Related: xfce/libxfce4windowing!106

commit 65681bf7b26a5b17d1a3242b9feb8d221e5e039c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jun 4 18:46:10 2026 -0700

    ci: install rust toolchain/binaries to system location
    
    While the CI builds run as root inside the container, the xfce-build
    script (used, among other things, for doing releases) runs as an
    unprivileged user, and so it can't find the toolchain in the container,
    since it's in root's $HOME.
    
    The solution is to set RUSTUP_HOME in the environment to a system
    location, and then when running `cargo install` for system-installed
    binaries also set CARGO_HOME (and add that to the PATH).
    
    We *don't* leave CARGO_HOME set inside the container, as then regular
    users would not be able to build anything, since CARGO_HOME also defines
    where the crate download cache is, among other things.

commit bb08d00ba199275361fac5086978c32de78586c7
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jun 4 12:47:40 2026 -0700

    ci: run `cargo deny check advisories` for rust projects that use it

commit ecb16f156ce4edabc35004d8b03139c33584ecfc
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Jun 3 23:31:13 2026 -0700

    ci: add dry-run publish step for cargo projects
    
    Running `cargo publish` does some extra checks on the manifest files for
    publish-ability that no other command seems to run, so it's useful to
    have this here to ensure that cargo projects are publishable.

commit 2ef3b04f00b19055f4f5490e8a53abc44ff2e136
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jun 4 12:15:54 2026 -0700

    Update rust to 1.90.0
    
    1.88.0 was somewhat arbitrary (as it seems many distros have updated
    since I made that decision), and 1.90 is when `cargo publish
    --workspace` was stabilized, which is annoying to have to live without
    in CI.

commit 83518cc500e58e619e443b6896ac31615bb9f37a
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Jun 3 22:23:23 2026 -0700

    ci: add build step for cargo-only projects

commit a42ddda6cbbe23574c912e865dc962c678fbb36b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Jun 3 21:51:16 2026 -0700

    ci: only run one meson build for rust projects
    
    For rust projects, there's no reason to run both the clang and gcc meson
    builds.  I've arbitrarily decided to disable the clang build for
    meson+rust projects.

commit 18c263e8af39e841d0eafe23560a90f8d14f3bb1
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Jun 3 21:39:49 2026 -0700

    ci: add analysis for rust
    
    Adds runs for `cargo clippy`, `cargo fmt --check`, and `cargo deny`.

commit 2fa0aedd8f40aac4fdd70fd56d6ad28a936968d3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 20:25:52 2026 +0200

    ci: Loosen exclusion regex for gcc-analyzer a bit
    
    The warning may appear in different locations depending on which glib
    macros are defined. It remains restrictive enough to be safe.

commit 0fe8ed1f60caa8ba7a6ae2405316a6e242763798
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 19:14:29 2026 +0200

    ci: Add missing macro to cppcheck config file

commit b692b37377b0cb2eba7bc4fa63b383958500e53a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 08:47:42 2026 +0200

    Back to development

commit c46e2482f1b973be8144e1597ca406b34d174ade
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 08:44:41 2026 +0200

    Updates for release

commit 09f4381bb02807553433aedb1d715919998aee11
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 08:35:41 2026 +0200

    Update copyright year

commit fa5ce36afaff8f4c18acd323551ca891456e946b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu May 28 17:44:10 2026 -0700

    Add rust & xfwl4 deps

commit ea2fb5eded4887e54c8c5601855e7c7513def40d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jun 3 23:50:31 2026 +0200

    ci: Make cppcheck cfg prefix configurable

commit b9f601fe8da64b2fd3c6ac3b00510bd5ef0e4cfd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jun 3 18:24:42 2026 +0200

    ci: scan-build related updates after switching to ubuntu 26.04
    
    It also generates warnings on code generated by gdbus-codegen that
    affects a few projects, but it's not easy to exclude these warnings
    without risking the exclusion of others, since this code isn't generated
    in a temporary directory as it is with gobject-introspection. Therefore,
    it is best for the affected projects to continue excluding these
    warnings via their .scan-build-false-positives file.
    
    Related: c831aaa7f4cea0653445614d7467c1386709bc8b

commit 069421a0f973e99dc4e01ed0f05d6889d1f54bdf
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jun 3 17:11:48 2026 +0200

    ci: gcc-analyzer related updates after switching to ubuntu 26.04
    
    Related: c831aaa7f4cea0653445614d7467c1386709bc8b

commit d7288459dd6352c2c4c1ff0163cb21ccb604c24d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 10 16:12:34 2026 +0200

    ci: Add cppcheck job
    
    Related: https://gitlab.xfce.org/xfce/xfce4-dev-tools/-/work_items/69#note_117626

commit c831aaa7f4cea0653445614d7467c1386709bc8b
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Sun Feb 15 21:21:37 2026 +0100

    Upgrade xfce-build container to Ubuntu 26.04 LTS
    
    - Fixes #69

commit 5b5dc8345eb6135480a2c9840e73884141649182
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu May 7 00:51:45 2026 -0700

    xfce-build: add libxkbregistry-dev to container

commit 1248a784753c20216f809359e29e18f07d4575f9
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Sun Feb 15 20:54:16 2026 +0100

    Update docker/docker-dind images for CI

commit 3bbac64b67336292a486b88e13960099f4f68dd8
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Sun Feb 15 15:27:19 2026 +0100

    doc: Update developer.xfce.org index
    
    - Thunar only provides thunarx documentation (since 2025), so update index entries

commit 7d8c8753d935aa0cb7311785e8975482ebfe455b
Author: Dmitry Petrachkov <dmitry-petrachkov@outlook.com>
Date:   Sat Dec 20 00:45:53 2025 +0300

    gst-plugin-gtk: New dependency for video wallpapers in xfdesktop

commit c66caa948c534a240eed4ac00e377a8e6556b918
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 9 10:01:13 2025 +0100

    meson: Fix typo in optimization level
    
    So --buildtype=minsize is properly handled as an optimized build.
    
    Fixes: 0b950ed6372efa415c55b928ddbf1cf7e12512ee

commit a66e10cd3f675150fddd3517a6b922f0ccf9f5f4
Author: Bobby Rong <rjl931189261@126.com>
Date:   Tue Jul 8 00:12:11 2025 +0800

    ci: Add docbook-xml to CI build
    
    Related: https://gitlab.xfce.org/apps/xfce4-screensaver/-/merge_requests/52

commit 03f5c6e18a46526090a5f675ef1ad77c92ddd138
Author: Bobby Rong <rjl931189261@126.com>
Date:   Mon Jul 7 23:28:35 2025 +0800

    ci: Add libpam0g-dev to CI build
    
    Related: https://gitlab.xfce.org/apps/xfce4-screensaver/-/merge_requests/52

commit 4a2e93c110e790e900c5cc80aeae73129de80c28
Author: Bobby Rong <rjl931189261@126.com>
Date:   Mon Jul 7 22:24:55 2025 +0800

    ci: Add libsystemd-dev, xmlto to CI build
    
    Related: https://gitlab.xfce.org/apps/xfce4-screensaver/-/merge_requests/52

commit 3d69876d5d53b7c96c362d4463a7a2a1da41ad2b
Author: Andre Miranda <andreldm@xfce.org>
Date:   Sun May 25 15:17:39 2025 +0200

    ci: Add libgexiv2-dev to CI build

commit 3c68cc7f33b3fa3b5c58350b5c2edef46538a7b3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 20 13:02:14 2025 +0200

    Back to development

commit 4b803224c4acc6daf3ddcc00fa940086651fdd5e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 20 13:00:02 2025 +0200

    Updates for release

commit 089d9f87d5466b00dedcc50734a081db49f8401f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 20 12:58:59 2025 +0200

    Update copyright year

commit 3fc4d0b78d9c918774875be59927e766eafb94a9
Author: Bobby Rong <rjl931189261@126.com>
Date:   Thu May 15 00:29:11 2025 +0800

    ci: Add python3-psutil to CI build
    
    Related: https://gitlab.xfce.org/apps/xfce4-panel-profiles/-/merge_requests/33

commit 4701903029bd09cfcb2d88fe22f32f9e42873826
Author: Bobby Rong <rjl931189261@126.com>
Date:   Sat May 10 09:34:55 2025 +0800

    ci: Add libasound2-dev and libsndio-dev to CI build
    
    Related: https://gitlab.xfce.org/apps/xfce4-mixer/-/merge_requests/10

commit ac0ea6d89ae7077302454c5e036dd98b3aef36a8
Author: Andre Miranda <andreldm@xfce.org>
Date:   Thu May 1 23:07:17 2025 +0200

    ci: Add libapr1-dev and libaprutil1-dev to CI build

commit d3fa7ff579d08e966b0d87c6c5f58dfe27836745
Author: Bobby Rong <rjl931189261@126.com>
Date:   Thu Apr 3 00:25:14 2025 +0800

    ci: Add libaccountsservice-dev to CI build
    
    Related: https://gitlab.xfce.org/panel-plugins/xfce4-whiskermenu-plugin/-/merge_requests/13

commit 09fc6e34c7a1f23ef3fc4f89ac0d32d8a90b2eac
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 24 18:45:43 2025 +0100

    xfce-do-release: Add xfce-revision.h.in to tarball without REVISION
    
    So VERSION_FULL in about dialogs etc. gives e.g. 4.20.0 instead of
    4.20.0-UNKNOWN.

commit 19e51c17904955f8e43c5ada6b53a393e06ada5e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 23 11:48:10 2025 +0100

    ci: Update build_libs.sh after thunar dropped half its doc
    
    Related: xfce/thunar!603

commit acf8893875032913785618514101be0fd2d5f58c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 20 16:54:23 2025 +0100

    xfce-do-release: Copy extra source files to the working tree
    
    To do without xfce4-dev-tools when building from tarballs. This should
    probably remain exceptional, so if a replacement can be found, such as
    glib-compile-resources for xdt-csource, it should be used instead.

commit afb106d4c19bcfab0ed4f367a74dd436db5ded26
Author: Bobby Rong <rjl931189261@126.com>
Date:   Thu Mar 20 21:33:39 2025 +0800

    ci: Add libxnvctrl-dev to CI build
    
    Related: https://gitlab.xfce.org/panel-plugins/xfce4-sensors-plugin/-/merge_requests/76

commit 23af8eba869873a6d8d50649c0264bef255f1a21
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 9 12:29:50 2025 +0100

    ci: Be more verbose when copying docs

commit 54f605ee23421d57d4c681e2c53c6dba78a5fe76
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 18 10:53:37 2025 +0100

    Replace deprecated exo with libxfce4ui 4.21.0
    
    The removal of exo from the doc and build will take place at a later
    date, perhaps only at the end of cycle 4.22.
    
    Related: xfce/exo!87

commit bac9ecaadbad3dae5afc788cf509fdf558f068a2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 6 22:51:53 2025 +0100

    ci: Add libxpresent-dev to CI build
    
    Related: xfce/xfwm4!168

commit a80c9c5810c22a291b2fd209917a4c87c893f8c4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Feb 26 16:03:45 2025 +0100

    meson-template: Add copyright year management

commit 9fe44c556723232ad9c4790a65aaf8934321a320
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Feb 26 15:44:54 2025 +0100

    Automate copyright year management
    
    Related: xfce/xfce4-panel!169

commit d43be5a19d0722ae3d3e485a7010ca370f224e9d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Feb 17 17:59:40 2025 +0100

    Add libutempter-dev to CI build
    
    Related: apps/xfce4-terminal!97

commit aa491f7aac1597a9315c7a1e0f77d65a8c2cd506
Author: Bobby Rong <rjl931189261@126.com>
Date:   Tue Feb 11 12:51:42 2025 +0000

    Add libqrencode-dev to CI build
    
    Related: https://gitlab.xfce.org/panel-plugins/xfce4-clipman-plugin/-/merge_requests/34

commit 2ee265b4ce4a3500998726cd06b1781d6cb887f2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 6 05:06:23 2025 +0100

    meson-template: Use SPDX license expression
    
    See https://mesonbuild.com/Reference-manual_functions.html#project_license

commit 3694904964ad1eefe3d7386e473d2e234191ce51
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 6 08:35:25 2025 +0100

    ci: Fix random pipefail in container build
    
    Fixes: b3503511779cbef7f95311c51daa651ba75dc2a9
    Closes: #68

commit 39a3932c895ba2a6591a5b3b68c06eda2f1469dd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Feb 5 20:37:14 2025 +0100

    Add libpolkit-gobject-1-dev to CI build
    
    Related: xfce/xfce4-session!73

commit 0b950ed6372efa415c55b928ddbf1cf7e12512ee
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Feb 1 19:46:04 2025 +0100

    Review debug mode management in the meson template
    
    We can't just rely on the `buildtype` option to decide which flags to
    add, as the user can directly set the `debug` and `optimization`
    options, which usually result in a `buildtype` option set to `custom`.
    It also seems that `buildtype=debugoptimized` corresponds to a
    production build, for which we shouldn't enable debug logs (see
    reference below).
    
    This doesn't exactly reproduce the autotools build mode of the
    `--enable-debug` option, which we should probably accept having to
    deviate from:
    * `--enable-debug={full,yes}` are mixed up in the same debug mode, where
      all debug logs are enabled (which is perhaps no bad thing?). This
      corresponds to `buildtype=debug`.
    * `--enable-debug=minimal` corresponds to `buildtype=debugoptimized`,
      where no flag is set.
    * `--enable-debug=no` corresponds to `buildtype={minsize,release}`,
      where we set aggressive optimization flags.
    * `buildtype=plain` is also a production mode, for which we don't set
      debug flags, but for which we don't really know the optimization mode,
      so we don't set aggressive optimization flags either.
    
    Related: !98
    See-also:
    https://blogs.gnome.org/mcatanzaro/2022/07/15/best-practices-for-build-options/
    https://mesonbuild.com/Builtin-options.html

commit 988820e160917856840a262fe3cc2b2b48e9e870
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 23 17:00:08 2025 +0100

    xfce-do-release: Prioritize meson for dev releases
    
    And give the option of overriding default prioritization with the
    BUILD_SYSTEM environment variable. This also fixes the unlikely case
    where no valid build system is detected.

commit b3503511779cbef7f95311c51daa651ba75dc2a9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 18:24:29 2025 +0100

    ci: Use same gtk-doc detection for container and project build

commit cadd8051295183eeb3b8a9fdc2060c2a52dd6524
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 18:21:48 2025 +0100

    ci: Prioritize meson for container build

commit 22f9bc7d7ed11b90875eb339091b87c680aeaf33
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 22:33:56 2025 +0100

    Add libcolord-dev to CI build
    
    Related: xfce/xfce4-settings!163

commit cc8b046943f6f41079f3f45620ad4ae1986d5df0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 17:42:38 2025 +0100

    Add xserver-xorg-input-libinput-dev to CI build
    
    Related: xfce/xfce4-settings!163

commit 13de0ab6b3fdca4ae9f7fca4ead178181b622c98
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jan 27 09:13:17 2025 +0100

    ci: Support generated symbols file in meson builds

commit 58e5359c75728ed95f5b8194410e32c2d50e61e6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 26 23:44:54 2025 +0100

    Add libgladeui-dev to CI build

commit c2549789cb8486501b5a37846f3baf4728c16076
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 16 10:35:27 2025 +0100

    Add -Wno-missing-field-initializers to meson template

commit 4ef88a6e8aaf3f5d6de04cdf6038becdf05c469e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Jan 19 19:18:24 2025 -0800

    Add libcanberra-gtk3-dev to the build container
    
    xfce4-notifyd optionally depends on this, but since we are now using
    --auto-features=enabled for the meson CI builds, we need to have this
    dep present.

commit 38996bafbd68ce98bdb5f4e7c8a162ab800e0f2a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 16 08:51:17 2025 +0100

    ci: Use --auto-features=enabled in meson builds

commit bd5fa5b80fc462f1c30f2ba3ccef3ade22261039
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 7 13:06:22 2025 +0100

    scripts: Complete visibility doc

commit 0da28a452a99ce54347007c3efbf2142a2ef7e0b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jan 2 10:33:38 2025 -0800

    Build gtk-doc during meson dist if docs present

commit 38f1266a080d5cdb4253ee3c212b24bf55cd8be0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 25 18:19:48 2024 +0100

    xfce-do-release: Fix tarball path with meson

commit 69da7e7919b4524fc73ec646614d06290522f1d1
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sun Dec 15 10:20:58 2024 +0100

    Back to development

commit 127d0abd88f3759fca8f6126460465910d24085d
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sun Dec 15 10:18:32 2024 +0100

    Updates for release

commit ab69a23e565252938d226fbf447a42f4452e99c0
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Fri Nov 1 22:04:37 2024 +0100

    Back to development

commit aaaa112d3e3443fb216e2dd7f9bec622972d7d91
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Fri Nov 1 22:03:11 2024 +0100

    Updates for release

commit 7e51adb0818ad6f4e0b6e441f22e89dcdec7c6b7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 1 16:43:31 2024 +0100

    xfce-do-release: Do not warn when using main instead of master

commit 7e4d43e7906f7532999dd5992c1fdd4fda418a51
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 21 10:52:21 2024 +0200

    Add libgspell-1-dev to CI build

commit 8e042c27e8745cf055508c46f0625540f2927241
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Oct 18 11:21:50 2024 -0700

    Add more details to the meson template and its README
    
    This adds more detailed information about gobject-introspection, as well
    as how to build vala API descriptions.  It also includes information
    about detecting the presence of library functions, libm, and shipping
    the meson build files in the autotools tarball.

commit 6569437523b1109ffa21ef11e49fcd88c93353ac
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Oct 13 15:27:46 2024 -0700

    Work around parallel 'make distcheck' bug in gettext
    
    See:
    https://lists.gnu.org/archive/html/bug-gettext/2024-05/msg00014.html

commit 9008df45d2d5a0566205f86c45026683402982b8
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 7 02:37:50 2024 -0700

    Don't quote the filename args passed to 'git diff'
    
    One of these may be the empty string, if either the autotools build or
    meson build is missing.  Passing the variables bare will make the
    command line think there's nothing there at all, but quoting an empty
    string acts as an empty string command line argument, which 'git diff'
    will get confused by.
    
    Usually it's of course a good practice to quote variables that contain
    filenames, since they could have spaces in them or other shell-unsafe
    characters.  But in this case we know the variable will contain a string
    that consists of only letters and dots.

commit bcf3b8c9e90b9daa48e20c1f11e20d71bd2de827
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Oct 3 16:39:47 2024 +0200

    ci: Parallelize autotools builds
    
    Closes: #65

commit 92a76eb093d9aaec29419afd40e05002c256a05f
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 05:59:31 2024 -0700

    Back to development

commit fcbe86a8da1113a305ba058e7cbcf0186b461389
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 05:58:17 2024 -0700

    Updates for release

commit e096d88c9624dd2240723719dbbc7bb4ff057ff8
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 05:46:16 2024 -0700

    xfce-do-release: fix quoting for xfce-build command
    
    Without this, the first command in the list gets run in xfce-build, but
    the rest get run outside the container on the host system.

commit 7a9ac432099d9cf20a9593225c2cd09bd50c638b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 03:10:46 2024 -0700

    Add a couple more compiler flags to the meson template

commit 80a3a4c938a5903488911d4dd9bdef64041f75d0
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Oct 2 13:21:29 2024 -0700

    Bump glib dependency in meson template

commit 1e28f7a536de889b235a29cdf483bb2e3cda69af
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Oct 2 13:20:52 2024 -0700

    Add gobject-introspection example check to meson template

commit e011a74b5be86bdee41fe43cca4f86dbe5e6c66a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Oct 2 18:39:32 2024 +0200

    build: Bump requirements for Xfce 4.20

commit a68d2d36dfbae6930521f404a0164587e97f3c70
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Oct 2 03:11:37 2024 -0700

    Disable ABI_CHECK for no-x11 and no-wayland builds
    
    Sometimes disabling one or the other will result in a different ABI, so
    just disable the check for those builds.

commit 5f5c4f4a2eb09cdd99f8ae908ee1b0b7184a86f1
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Oct 1 13:33:38 2024 -0700

    Back to development

commit 5784e66763832f92ae99396b8d02f7a0df68318c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Oct 1 13:31:48 2024 -0700

    Updates for release

commit 95441ab9a0b7f5e2235ac1577f5f14ffbc9a0c4c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 20 15:53:32 2024 -0700

    Add optional ABI check to the CI build stage
    
    A CI variable called ABI_CHECK needs to be set in the repository
    configuration.  It should be a space-separated list of colon-separated
    symbol-path + library-filename pairs.
    
    (The symbol path should be a repository-root-relative path to the
    .symbols file, while the library filename should just be the filename,
    and CI will attempt to find it inside the repository.)

commit d5879e94d0a66cc27ff04427876d4a1d2ab2859c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 20 15:01:44 2024 -0700

    Add GNU visibility generation and ABI check script
    
    It seems that all the library projects have their own copies of this,
    which seems kinda silly.  And there are some downsides to those files:
    
    * The visibility alias file generation script is written in perl.  This
      isn't generally a bad thing, but requires people have perl installed.
      With the meson build, python will be required, so might as well write
      it in python.
    * The symbols file consumed by the scripts is a C preprocessor file, and
      its a bit tedious, annoying, and error-prone to write.  The new format
      that the new scripts consume is simple and easy to read and write.
    
    There was also never really any documentation for how to set all this
    up, so I've written a README that describes the process for both
    autotools and meson.

commit d4a8b90e3158794f9f523cfb4467b07816fec3d2
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Sep 18 19:57:26 2024 -0700

    Enhance/fix xfce-revision.h
    
    Adds VERSION_FULL and PACKAGE_VERSION_FULL to xfce-revision.h, which can
    be more easily used in apps.
    
    Fixes version component splitting; previously it split on 'git', but it
    should be '-dev' now.
    
    Adds a 'version_short' meson.build variable for convenience.

commit 5565875f70f709b3155e4df17ee40b5e24bfbed7
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Apr 6 20:28:05 2024 -0700

    Add a project template for meson

commit 53e9b08fc0e0ac633d5394369e0cccd8a1426062
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Apr 6 20:27:51 2024 -0700

    Add meson support to xfce-do-release

commit eeb42aa4c022b8b4ba23629034e1f7ba388c9e5f
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Apr 6 20:27:29 2024 -0700

    Add meson support to GitLab CI template

commit bc17fdc2d040cf1846359b6cfbd4b458ef8121c1
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Apr 6 20:26:05 2024 -0700

    Allow the container build to build dependencies using meson

commit 194f6b6d240554b6fe6b2365209f46069b7082b8
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sat Jul 20 01:02:38 2024 -0400

    Plug leak stemming from g_path_get_basename

commit aedb03ac20601c363c7f8e04c732061b0983e79e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Sep 2 03:29:39 2024 -0700

    Add libyaml-dev to the build container
    
    xfdesktop will be needing it soon.

commit 4a5100bb45bb77bc042ebe99ed23bbc0093b0ceb
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jun 27 04:02:35 2024 -0700

    Add libdisplay-info-dev to build container
    
    Soon this will be needed by libxfce4windowing.

commit 9bd05b7b305e99006a9b78332e269422b8dd2de7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jun 22 15:56:37 2024 +0200

    Add meson to CI build
    
    And some other packages needed by apps/catfish!60.

commit 6050c99327e32511691cc13af3407a4158b7559d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 26 17:25:30 2024 +0200

    ci: Do not store clang-format-diff output
    
    I had originally used a log file in !101 because clang-format-diff <= 17
    didn't emit an error code in the event of non-empty output, but this is
    no longer the case with clang-format-diff >=18, so the use of this file
    is no longer justified.
    
    Amends: cbbceb2fa207a56a74abf77d14054b76a201ba03

commit 779e4363d8d7e96ae5dc2aae37e69c3dcd45eedc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 9 15:18:13 2024 +0200

    ci: Enable on maintenance branches

commit add69d4e66e34e858af761fe872c80cd62cb9ad6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 9 12:31:12 2024 +0200

    ci: Only run static analysis jobs on default branch
    
    i.e. for commits on default branch and merge requests against default
    branch. Do not run these jobs for tags, it's pretty useless and would
    force us to distinguish between tags on default branch and tags on
    maintenance branches.
    
    Do not run these jobs on translation commits either, since in this case
    the build jobs didn't run (unfortunately 'needs' doesn't handle this
    automatically).
    
    Amends: 8bf2175d178313c2b6b6a7efb634cd98917c2290

commit 0466aff75c0b20a667ccc2191ffe5a9b08507e06
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jun 5 22:20:09 2024 +0200

    ci: Make false-positive patterns match a single warning
    
    Otherwise, it's possible for a pattern to correspond to several
    warnings, not all of which are false positives. By adding sufficiently
    precise patterns as indicated in the comments, this is unlikely, but not
    impossible.
    
    In the case of this pattern, for example, currently present in
    xfce4-panel:
    tasklist-widget.c:[0-9]+:[0-9]+: warning: dereference of NULL 'child' \[CWE-476\] \[-Wanalyzer-null-dereference\]
    the 'child' variable has enough occurrences in the tasklist-widget.c
    file that the risk of a multiple match cannot be ruled out.
    
    The simplest way to specify a multiple match seems to be to add the
    pattern several times, instead of specifying the number of matches,
    which would require additional parsing with a delimiter.
    
    Amends: 8bf2175d178313c2b6b6a7efb634cd98917c2290

commit b3a9f742e9f5c122e7ac4e9b076098f331acc1f7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 16 11:11:14 2024 +0200

    ci: Explicitly specify C++ compilers
    
    This may be necessary in certain situations, for example when performing
    static analysis with scan-build, to ensure that the standard C++ library
    is added to the linker. See
    https://gitlab.xfce.org/panel-plugins/xfce4-sensors-plugin/-/issues/48#note_90769

commit 1644b65b8b7fb19fd8d06827d099c30aaf38193c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 9 18:14:56 2024 +0200

    ci: Ensure scan-build uses clang as compiler
    
    Otherwise it overrides CC and uses the default compiler, i.e. gcc in our
    case, making build-clang a duplicate of build-gcc + scan-build.
    
    Fixes: 8bf2175d178313c2b6b6a7efb634cd98917c2290

commit 8bf2175d178313c2b6b6a7efb634cd98917c2290
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 31 10:20:07 2024 +0200

    ci: Add static analysis jobs
    
    This requires extra effort on the part of maintainers, and is therefore
    disabled by default. To activate these jobs, you need to add the CI/CD
    variables GCC_ANALYZER and/or SCAN_BUILD to each project.
    
    These static analysis tools are quite prone to false positives, so for
    these jobs to be useful, it seems the right approach is to not allow
    them to fail and maintain false positive files (otherwise we risk
    getting used to seeing them fail and simply not paying attention). How
    to fill in these files is indicated in the comments.
    
    As we only change software versions every two years in CI, the extra
    maintenance effort should be quite small though, once the first warnings
    have been fixed or ignored. The fact remains, however, that their
    analysis can be more tortuous and time-consuming than that of simple
    compiler warnings.
    
    Also, the list of warnings not to be turned into errors for the gcc
    analyzer will need to be updated every time we change version, i.e.
    again every two years (otherwise the build-gcc job is likely to fail
    when checking the compiler during configuration).
    
    Closes: #51

commit 1141463d57cfa59d2518bd3060933026b4215480
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 31 10:12:10 2024 +0200

    ci: Rename .make hidden job to .configure
    
    Jobs and inheritances are starting to pile up, so it's best to give
    things a name that won't cause confusion.

commit 9fc85a251e5ef8def002105ae409ac911d9ecbb4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon May 27 13:10:36 2024 +0200

    ci: Add clang build

commit 6943d356517171636d69a0cd0d310a256f7efab7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon May 27 13:02:47 2024 +0200

    ci: Build with --disable-debug in distcheck stage
    
    In addition to the --enable-debug=werror (i.e. full + -Werror) of the
    build stage, so we should compile all code paths (relative to debug
    mode). This requires projects not to use DISTCHECK_CONFIGURE_FLAGS
    directly in their Makefile.am, but AM_DISTCHECK_CONFIGURE_FLAGS, so that
    the flags we set here are not overwritten.

commit 6d51a3b016f3b86b4e3ca4cc64abc3d537e6bc6a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 26 21:14:16 2024 +0200

    ci: Only run a stage if previous didn't failed
    
    This is the default behavior that seems to have been overwritten for no
    good reason. Typically distcheck should not run if build has failed.

commit 1fef4bc28869769e104ef32472ee7fb9e926c15c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 26 12:09:47 2024 +0200

    ci: Avoid clang-format job failure if diff is empty
    
    This is a corner case, but it can happen when a sequence of commits
    results in an empty diff (for example, a commit followed by a revert).
    
    Fixes: cbbceb2fa207a56a74abf77d14054b76a201ba03

commit 4bd037dbe567d9161e7a65108e31f955194a570b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 29 17:44:56 2024 +0200

    Add libdbus-glib-1-dev to CI build
    
    For parole and xfce4-screensaver, to be removed when these issues are
    solved:
    https://gitlab.xfce.org/apps/parole/-/issues/114
    https://gitlab.xfce.org/apps/xfce4-screensaver/-/issues/153

